org.eclipse.rdf4j.query.parser

## Class QueryParserRegistry

- java.lang.Object
- - org.eclipse.rdf4j.common.lang.service.ServiceRegistry<QueryLanguage,QueryParserFactory>
  - - org.eclipse.rdf4j.query.parser.QueryParserRegistry

-     public class QueryParserRegistry
      extends ServiceRegistry<QueryLanguage,QueryParserFactory>

  A registry that keeps track of the available `QueryParserFactory`s.
  Author:
    Arjohn Kampman

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.common.lang.service.ServiceRegistry

      `logger, services`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryParserRegistry()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static QueryParserRegistry` | `getInstance()` Gets the default QueryParserRegistry.
    `protected QueryLanguage` | `getKey(QueryParserFactory factory)` Gets the key for the specified service.

    - ### Methods inherited from class org.eclipse.rdf4j.common.lang.service.ServiceRegistry

      `add, get, getAll, getKeys, has, remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryParserRegistry

          public QueryParserRegistry()

  - ### Method Detail

    - #### getInstance

          public static QueryParserRegistry getInstance()

      Gets the default QueryParserRegistry.
      Returns:
        The default registry.

    - #### getKey

          protected QueryLanguage getKey(QueryParserFactory factory)

      Description copied from class: `ServiceRegistry`
      Gets the key for the specified service.
      Specified by:
        `getKey` in class `ServiceRegistry<QueryLanguage,QueryParserFactory>`
      Parameters:
        `factory` - The service to get the key for.
      Returns:
        The key for the specified service.

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.